cURL
curl --request POST \ --url https://api.example.com/api/v1/accounts/{accountId}/projects/{projectId}/kubernetes \ --header 'Content-Type: application/json' \ --data ' { "name": "<string>", "flavor_id": "<string>", "image_id": "<string>", "ssh_key_id": "<string>", "node_count": 123, "k8s_version": "<string>", "pod_cidr": "<string>", "service_cidr": "<string>", "cni_plugin": "<string>", "cluster_agent_enabled": true } '
{ "cluster": { "base": { "cluster_id": "<string>", "name": "<string>", "status": "CLUSTER_STATUS_UNSPECIFIED", "account_id": "<string>", "project_id": "<string>", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "cluster_endpoint": "<string>" }, "node_count": 123, "installed_apps": [ { "base": { "app_id": "<string>", "cluster_id": "<string>", "marketplace_app": { "app_name": "<string>", "display_name": "<string>", "description": "<string>", "icon_url": "<string>", "documentation_url": "<string>" } }, "status": "INSTALLED_APP_STATUS_UNSPECIFIED" } ] } }
Documentation IndexFetch the complete documentation index at: https://docs.aion.xyz/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.aion.xyz/llms.txt
Use this file to discover all available pages before exploring further.
OK
Show child attributes